Update a document
curl --request POST \
--url https://api-joy.joyfill.io/v1/documents/{identifier} \
--header 'Content-Type: application/json' \
--data '
{
"files": "<array>",
"fields": "<array>",
"type": "document",
"name": "<string>",
"group": "<string>",
"stage": "published"
}
'import requests
url = "https://api-joy.joyfill.io/v1/documents/{identifier}"
payload = {
"files": "<array>",
"fields": "<array>",
"type": "document",
"name": "<string>",
"group": "<string>",
"stage": "published"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
files: '<array>',
fields: '<array>',
type: 'document',
name: '<string>',
group: '<string>',
stage: 'published'
})
};
fetch('https://api-joy.joyfill.io/v1/documents/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"type\": \"String\",\n \"identifer\": \"String\",\n \"name\": \"String\",\n \"group\": \"String\",\n \"stage\": \"String\",\n \"files\": \"Array\",\n \"fields\": \"Array\"\n \n}"Documents
Update a document
POST
/
documents
/
{identifier}
Update a document
Headers
Supports both API Key and User Access Token authorization. See https://joyfill.mintlify.app/api/authentication
Path Parameters
Body
application/json
Array of JoyDoc file objects. See the JoyDoc data structure under the guides section.
Array of JoyDoc field objects. See the JoyDoc data structure under the guides section to learn more.
Available options:
document, template The group identifier of the group that you would like to add the document to
Available options:
draft, published Was this page helpful?
⌘I